package com.example.scansetting;

import android.os.Bundle;
import java.util.Map;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {

	
	private TextView tv_broadcast_result;
	private EditText et_emulator_result;
	private RadioGroup radio_group;
	private Button btn_reset;
	Context mContext;
	private BroadcastReceiver  mReceiver;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		mContext = getApplicationContext();
		initView();
		mReceiver= new BroadcastReceiver() {
				@Override
		public void onReceive(Context context, Intent intent) { 
					final String scanResult_1=intent.getStringExtra("SCAN_BARCODE1");
					final String scanResult_2=intent.getStringExtra("SCAN_BARCODE2");
					final int barcodeType = intent.getIntExtra("SCAN_BARCODE_TYPE", -1); // -1:unknown
		            final String scanStatus=intent.getStringExtra("SCAN_STATE");
						if("ok".equals(scanStatus)){
						//ɹ
							tv_broadcast_result.setText(scanResult_1);
						}else{
					    //ʧ糬ʱ
						}
		}
		};
	}



	private void initView(){
		
		
		tv_broadcast_result=(TextView)findViewById(R.id.tv_broadcast_result);
		et_emulator_result=(EditText)findViewById(R.id.et_emulator_result);
		radio_group=(RadioGroup)findViewById(R.id.radio_group);
		btn_reset=(Button)findViewById(R.id.btn_reset);
		btn_reset.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View view) {
				et_emulator_result.setText("");
				tv_broadcast_result.setText("㲥Ľʾ");
				tv_broadcast_result.setTextColor(getResources().getColor(android.R.color.black));
			}
		});
		//ѡģʽ
				radio_group.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
					
					@Override
					public void onCheckedChanged(RadioGroup group, int checkedId) {
					
						Intent intent = new Intent ("ACTION_BAR_SCANCFG");
						switch (checkedId) {
						
						//㲥ʽ
						case R.id.radio_broadcast:
							intent.putExtra("EXTRA_SCAN_MODE", 3);
							break;
							
						//ģʽ
						case R.id.radio_emulate_key:
							intent.putExtra("EXTRA_SCAN_MODE", 2);
							break;
						
						//ֱ
						case R.id.radio_fill:
							intent.putExtra("EXTRA_SCAN_MODE", 1);
							break;
						}
						mContext.sendBroadcast(intent);
					}
				});
				
	}
	
	private void registerReceiver()
	{
		IntentFilter mFilter= new IntentFilter("nlscan.action.SCANNER_RESULT");
		registerReceiver(mReceiver, mFilter);
	}
	
	private void unRegisterReceiver()
	{
		try {
			unregisterReceiver(mReceiver);
		} catch (Exception e) {
		}
	}
	
	@Override
	protected void onPause() {
		super.onPause();
		unRegisterReceiver();
	}

	@Override
	protected void onResume() {
		super.onResume();
		registerReceiver();
	}
}
